<nav
  class="navigation"
  [ngStyle]="{ height: dynamicNavigation.length ? '120px' : '60px' }"
>
  <ul>
    <a
      [routerLinkActiveOptions]="{ exact: true }"
      routerLinkActive="active-link"
      [routerLink]="routes.SHOWS"
      rel="noreferrer"
    >
      <li>
        {{ UI.txt_shows }}
      </li>
    </a>
    <a
      [routerLinkActiveOptions]="{ exact: true }"
      routerLinkActive="active-link"
      [routerLink]="routes.ACTORS"
      rel="noreferrer"
    >
      <li>
        {{ UI.txt_actors }}
      </li>
    </a>
  </ul>

  <ul
    class="dynamic-navigation"
    *ngIf="dynamicNavigation.length"
    [ngClass]="{ border: dynamicNavigation.length }"
  >
    <a
      *ngFor="let navItem of dynamicNavigation"
      [routerLink]="[navItem.categoryPath, currentId, navItem.path]"
      [routerLinkActiveOptions]="{ exact: true }"
      routerLinkActive="active-link"
      rel="noreferrer"
    >
      <li>
        {{ navItem.name }}
      </li>
    </a>
  </ul>
</nav>
